diff -ruN vdr-1.3.37/i18n.c vdr-1.3.38/i18n.c
--- vdr-1.3.37/i18n.c	2005-11-04 15:36:27.000000000 +0100
+++ vdr-1.3.38/i18n.c	2006-01-08 12:56:31.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.220 2005/11/04 14:36:27 kls Exp $
+ * $Id: i18n.c 1.230 2006/01/08 11:56:31 kls Exp $
  *
  * Translations provided by:
  *
@@ -221,7 +221,7 @@
     "Ajastimet",
     "Timery",
     "Timer",
-    "×ñïíïäéáêüðôçò",
+    "×ñïíïðñïãñáììáôéóìïß",
     "Timers",
     "Timer-e",
     "Felvétel beprogramozása",
@@ -263,7 +263,7 @@
     "Tallenteen tiedot",
     "",// TODO
     "",// TODO
-    "ÅããñáöÞ",
+    "Ðëçñïöïñßåò EããñáöÞò",
     "Inspelning",
     "Detaliile înregistrãrii",
     "",// TODO
@@ -347,7 +347,7 @@
     "Muokkaa kanavaa",
     "Ustawienie kanalu",
     "Modificar canal",
-    "ÐñïóáñìïãÝò Êáíáëéïý",
+    "Ôñïðïðïßçóç Êáíáëéïý",
     "Ändra kanal",
     "Modificare canal",
     "Csatornák beállítása",
@@ -368,7 +368,7 @@
     "Muokkaa ajastinta",
     "Ustawienie timerow",
     "Modificar timer",
-    "ÐñïóáñìïãÞ ÷ñïíïäéáêüðôç",
+    "Ôñïðïðïßçóç ÷ñïíïðñïãñáììáôéóìïý",
     "Ändra timer",
     "Modificare timer",
     "Felvétel beprogramozásának megváltoztatása",
@@ -399,27 +399,6 @@
     "Sündmus",
     "Udsendelse",
   },
-  { "Summary",
-    "Inhalt",
-    "Vsebina",
-    "Sommario",
-    "Inhoud",
-    "Resumo",
-    "Résumé",
-    "Sammendrag",
-    "Yhteenveto",
-    "Zawartosc",
-    "Resúmen",
-    "Ðåñéå÷üìåíï",
-    "Sammanfattning",
-    "Detalii",
-    "Tartalom",
-    "Sinopsi",
-    "¾ßØáÐÝØÕ",
-    "Sadr¾aj",
-    "Kokkuvõte",
-    "Omtale",
-  },
   { "Info",
     "Info",
     "Info",
@@ -504,8 +483,29 @@
     "Järgmisena eetris",
     "Hvad vises som det næste?",
   },
+  { "Summary",
+    "Inhalt",
+    "Vsebina",
+    "Sommario",
+    "Inhoud",
+    "Resumo",
+    "Résumé",
+    "Sammendrag",
+    "Yhteenveto",
+    "Zawartosc",
+    "Resumen",
+    "Ðåñéå÷üìåíï",
+    "Sammanfattning",
+    "Cuprins",
+    "Tartalom",
+    "Resum",
+    "¾ßØáÐÝØÕ",
+    "Sadr¾aj",
+    "Kokkuvõte",
+    "Omtale",
+  },
   // Button texts (should not be more than 10 characters!):
-  { "Edit",
+  { "Button$Edit",
     "Editieren",
     "Uredi",
     "Modifica",
@@ -526,7 +526,7 @@
     "Muuda",
     "Rediger",
   },
-  { "New",
+  { "Button$New",
     "Neu",
     "Novo",
     "Nuovo",
@@ -547,7 +547,7 @@
     "Uus",
     "Ny",
   },
-  { "Delete",
+  { "Button$Delete",
     "Löschen",
     "Izbri¹i",
     "Cancella",
@@ -568,7 +568,7 @@
     "Kustuta",
     "Slet",
   },
-  { "Mark",
+  { "Button$Mark",
     "Markieren",
     "Oznaèi",
     "Marca",
@@ -589,7 +589,7 @@
     "Siirda",
     "Markér",
   },
-  { "On/Off",
+  { "Button$On/Off",
     "Ein/Aus",
     "Vklop/Izklop",
     "On/Off",
@@ -610,7 +610,7 @@
     "Sees/Väljas",
     "Til/Fra",
   },
-  { "Record",
+  { "Button$Record",
     "Aufnehmen",
     "Posnemi",
     "Registra",
@@ -631,7 +631,7 @@
     "Salvesta",
     "Optag",
   },
-  { "Play",
+  { "Button$Play",
     "Wiedergabe",
     "Predvajaj",
     "Riproduci",
@@ -642,7 +642,7 @@
     "Toista",
     "Odtwarzac",
     "Play",
-    "ÁíáìåôÜäïóç",
+    "ÁíáðáñáãùãÞ",
     "Spela upp",
     "Redare",
     "Lejátszani",
@@ -652,7 +652,28 @@
     "Start",
     "Afspil",
   },
-  { "Rewind",
+  { "Button$Pause",
+    "Pause",
+    "Pavza",
+    "Pausa",
+    "Pauze",
+    "",// TODO
+    "Pause",
+    "",// TODO
+    "Tauko",
+    "Przerwa",
+    "Pausa",
+    "Ðáýóç",
+    "Pausa",
+    "Pauzã",
+    "Szünet",
+    "Pausa",
+    "¿Ðã×Ð",
+    "Pauza",
+    "Paus",
+    "Pause",
+  },
+  { "Button$Rewind",
     "Anfang",
     "Na zaèetek",
     "Da inizio",
@@ -663,7 +684,7 @@
     "Alkuun",
     "Poczatek",
     "Rebobinar",
-    "Áñ÷Þ",
+    "ÌåôáöïñÜ óôçí Áñ÷Þ",
     "Återspolning",
     "Înapoi",
     "Vissza az elejére",
@@ -694,7 +715,7 @@
     "Stopp",
     "Stop",
   },
-  { "Resume",
+  { "Button$Resume",
     "Weiter",
     "Nadaljuj",
     "Riprendi",
@@ -705,7 +726,7 @@
     "Jatka",
     "Dalej",
     "Continuar",
-    "ÓõíÝ÷åéá",
+    "ÅðáíáöïñÜ",
     "Fortsätt",
     "Revenire",
     "Tovább",
@@ -715,28 +736,7 @@
     "Jätka",
     "Fortsæt",
   },
-  { "Summary",
-    "Inhalt",
-    "Vsebina",
-    "Sommario",
-    "Inhoud",
-    "Resumo",
-    "Résumé",
-    "Sammendrag",
-    "Yhteenveto",
-    "Zawartosc",
-    "Resumen",
-    "Ðåñéå÷üìåíï",
-    "Sammanfattning",
-    "Cuprins",
-    "Tartalom",
-    "Resum",
-    "¾ßØáÐÝØÕ",
-    "Sadr¾aj",
-    "Kokkuvõte",
-    "Omtale",
-  },
-  { "Open",
+  { "Button$Open",
     "Öffnen",
     "Odpri",
     "Apri",
@@ -747,7 +747,7 @@
     "Avaa",
     "Otworzyc",
     "Abrir",
-    "¢íïéãìá",
+    "Áíïéãìá",
     "Öppna",
     "Deschide",
     "Kinyitni",
@@ -757,7 +757,7 @@
     "Ava",
     "Åbn",
   },
-  { "Switch",
+  { "Button$Switch",
     "Umschalten",
     "Preklopi",
     "Cambia",
@@ -778,7 +778,7 @@
     "Vali",
     "Skift",
   },
-  { "Now",
+  { "Button$Now",
     "Jetzt",
     "Sedaj",
     "Adesso",
@@ -799,7 +799,7 @@
     "Nüüd",
     "Nu",
   },
-  { "Next",
+  { "Button$Next",
     "Nächste",
     "Sledi",
     "Prossimo",
@@ -841,49 +841,7 @@
     "Kava",
     "Program",
   },
-  { "Language",
-    "Sprache",
-    "Jezik",
-    "Linguaggio",
-    "Taal",
-    "Linguagem",
-    "Langue",
-    "Språk",
-    "Kieli",
-    "Jezyk",
-    "Idioma",
-    "Ãëþóóá",
-    "Språk",
-    "Limba",
-    "Nyelv",
-    "Idioma",
-    "Ï×ëÚ",
-    "Jezik",
-    "Keel",
-    "Sprog",
-  },
-  { "Eject",
-    "Auswerfen",
-    "Izvr¾i",
-    "Eject",
-    "Eject",
-    "Ejectar",
-    "Ejection",
-    "Eject",
-    "Avaa",
-    "Wyrzucenie",
-    "Expulsar",
-    "ÅîáãùãÞ",
-    "Mata ut",
-    "Ejecteazã",
-    "Kidobni",
-    "Expulsar",
-    "¸×ÒÛÕçì",
-    "Izbaci",
-    "Ava",
-    "Skub ud",
-  },
-  { "ABC/abc",
+  { "Button$ABC/abc",
     "ABC/abc",
     "ABC/abc",
     "ABC/abc",
@@ -904,7 +862,7 @@
     "ABC/abc",
     "ABC/abc",
   },
-  { "Insert",
+  { "Button$Insert",
     "Einfügen",
     "Vstavi",
     "Inserisci",
@@ -925,7 +883,7 @@
     "Lisa (INS)",
     "Indsæt",
   },
-  { "Overwrite",
+  { "Button$Overwrite",
     "Überschreiben",
     "Prepi¹i",
     "Sovrascrivi",
@@ -946,7 +904,7 @@
     "Asenda (OVR)",
     "Overskriv",
   },
-  { "Menu",
+  { "Button$Menu",
     "Menü",
     "Meni",
     "Menù",
@@ -967,7 +925,7 @@
     "Menüü",
     "Menu",
   },
-  { "Reset",
+  { "Button$Reset",
     "Reset",
     "Reset",
     "Reset",
@@ -988,7 +946,7 @@
     "Nullimine",
     "Nulstille",
   },
-  { "Scan",
+  { "Button$Scan",
     "Scan",
     "I¹èi",
     "Scansione",
@@ -1009,6 +967,27 @@
     "Uuenda",
     "Skan",
   },
+  { "Button$Audio",
+    "Audio",
+    "Zvok",
+    "",// TODO
+    "Audio",
+    "",// TODO
+    "Audio",
+    "",// TODO
+    "Ääni",
+    "",// TODO
+    "",// TODO
+    "¹÷ïò",
+    "Ljud",
+    "Sunet",
+    "",// TODO
+    "",// TODO
+    "Ï×ëÚ",
+    "",// TODO
+    "Audio",
+    "Audio",
+  },
   // Confirmations:
   { "Delete channel?",
     "Kanal löschen?",
@@ -1042,7 +1021,7 @@
     "Poistetaanko ajastin?",
     "Usunac timer?",
     "¿Eliminar timer?",
-    "ÄéáãñáöÞ ÷ñïíïäéáêüðôç?",
+    "ÄéáãñáöÞ ÷ñïíïðñïãñáììáôéóìïý;?",
     "Ta bort timern?",
     "ªterg timer-ul?",
     "Felvétel beprogramozásának törlése?",
@@ -1063,7 +1042,7 @@
     "Poistetaanko tallenne?",
     "Usunac nagranie?",
     "¿Eliminar grabacion?",
-    "ÄéáãñáöÞ áñ÷åßïõ?",
+    "ÄéáãñáöÞ åããñáöÞò?",
     "Ta bort inspelningen?",
     "ªterg înregistrarea?",
     "Felvétel törlése?",
@@ -1084,7 +1063,7 @@
     "Ajastettu tallennus käynnissä - poistetaanko silti?",
     "Nagrywanie w trakcie - napewno usunac?",
     "¿Timer activo - de verdad eliminarlo?",
-    "×ñïíïäéáêüðôçò óÝ åîÝëéîç - ÄéáãñáöÞ óßãïõñá?",
+    "×ñïíïðñïãñáììáôéóìüò óÝ åîÝëéîç - ÄéáãñáöÞ óßãïõñá?",
     "Timerstyrd inspelning pågår - Avbryta ändå?",
     "Timer-ul tocmai înregistreazã - ºterg, totuºi?",
     "Felvétel folyamatban van - mégis törölni?",
@@ -1115,27 +1094,6 @@
     "Lõpetan salvestamise?",
     "Stop optagelse?",
   },
-  { "on primary interface",
-    "auf dem primären Interface",
-    "na primarni napravi",
-    "su interfaccia primaria",
-    "op eerste interface",
-    "no interface primário",
-    "sur la carte primaire",
-    "på første enhet",
-    "ensisijaisella sovittimella",
-    "na pierwszym interfejsie",
-    "en interface primario",
-    "óôÞí êýñéá êÜñôá",
-    "från den första enheten?",
-    "pe prima interfaþã",
-    "az elsö kártyán",
-    "a la interfície primària",
-    "ÝÐ ÞáÝÞÒÝÞÜ ãáâàÞÙáâÒÕ",
-    "na primarnom ureðaju",
-    "peavastuvõtjal",
-    "på primær enhed",
-  },
   { "Cancel editing?",
     "Schneiden abbrechen?",
     "®elite prekiniti urejanje?",
@@ -1337,7 +1295,7 @@
     "Lähde",
     "Zrodlo",
     "",//TODO
-    "Äéåñåýíçóç",
+    "ÐçãÞ",
     "Källa",
     "Sursã",
     "Forrás",
@@ -1536,6 +1494,48 @@
     "CA",
     "CA",
   },
+  { "Free To Air",
+    "frei empfangbar",
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+  },
+  { "encrypted",
+    "verschlüsselt",
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+  },
   { "Sid",
     "Sid",
     "Sid",
@@ -1568,7 +1568,7 @@
     "Inversio",
     "Inversion",
     "Inversion",
-    "Inversion",
+    "ÁíôéóôñïöÞ",
     "Inversion",
     "Inversiune",
     "Inversion",
@@ -1589,7 +1589,7 @@
     "Kaistanleveys",
     "Szerokosc pasma",
     "Bandwidth",
-    "Bandwidth",
+    "Åýñïò Óõ÷íïôÞôùí",
     "Bandbredd",
     "Lãrgime de bandã",
     "Bandwidth",
@@ -1610,7 +1610,7 @@
     "Suojaustaso (HP)",
     "CoderateH",
     "CoderateH",
-    "CoderateH",
+    "Ñõèìüò Êþäéêá H",
     "CoderateH",
     "CoderateH",
     "CoderateH",
@@ -1631,7 +1631,7 @@
     "Suojaustaso (LP)",
     "CoderateL",
     "CoderateL",
-    "CoderateL",
+    "Ñõèìüò Êþäéêá L",
     "CoderateL",
     "CoderateL",
     "CoderateL",
@@ -1652,7 +1652,7 @@
     "Modulaatio",
     "Modulacja",
     "Modulation",
-    "Modulation",
+    "Äéáìüñöùóç",
     "Modulation",
     "Modulaþie",
     "Modulation",
@@ -1673,7 +1673,7 @@
     "Transmissio",
     "Transmisja",
     "Transmission",
-    "Transmission",
+    "ÌåôÜäïóç",
     "Transmission",
     "Transmisiune",
     "Transmission",
@@ -1694,7 +1694,7 @@
     "Suojaväli",
     "Guard",
     "Guard",
-    "Guard",
+    "Ðñïóôáóßá",
     "Guard",
     "Guard",
     "Guard",
@@ -1948,7 +1948,7 @@
     "Kanava on ajastimen käytössä!",
     "Kanal jest zajety przez timer nagran",
     "¡Canal está ocupado por un timer!",
-    "Ôï êáíÜëç ÷ñéóéìïðïéåßôáé áðü ÷ñïíïäéáêüðôç!",
+    "Ôï êáíÜëç ÷ñéóéìïðïéåßôáé áðü ÷ñïíïðñïãñáììáôéóìü!",
     "Kanalen används av en timer!",
     "Canalul este utilizat de un timer!",
     "Csatornát más használja!",
@@ -2053,7 +2053,7 @@
     "*** Virheellinen kanavavalinta! ***",
     "*** Niewazny kanal ***",
     "*** Canal inválido ***",
-    "*** ¢êõñï êáíÜëç ***",
+    "*** Áêõñï êáíÜëç ***",
     "*** Felaktig kanal ***",
     "*** Canal invalid ***",
     "*** Érvénytelen csatorna ***",
@@ -2347,7 +2347,7 @@
     "CA-moduulin palautus alkutilaan epäonnistui!",
     "Nieudany CAM-Reset!",
     "¡No puedo reiniciar la CAM!",
-    "Áäýíáôï íá ãßíåé åðáíáöïñÜ óôü CAM",
+    "Áäýíáôç ç åðáíáöïñÜ óôü CAM",
     "Kan inte återställa CAM!",
     "Nu pot reseta CAM",
     "A CAM-Reset nem sikerült",
@@ -2368,7 +2368,7 @@
     "CA-moduuli palautettu alkutilaan",
     "CAM-Reset wykonany",
     "CAM reiniciada",
-    "Óôï CAM Ýãéíå åðáíáöïñÜ",
+    "¸ãéíå åðáíáöïñÜ óôï CAM",
     "CA modulen har återställts",
     "CAM-ul a fost resetat",
     "A CAM vissza lett állítva",
@@ -2410,7 +2410,7 @@
     "Äänen kieli ei ole valittavissa!",
     "",//TODO
     "",//TODO
-    "ÁíåðÜñêåéá Þ÷ïõ",
+    "Ìç äéáèÝóéìïò Þ÷ïò",
     "Ljud saknas!"
     "Lipseºte sunetul!",
     "",//TODO
@@ -2453,7 +2453,7 @@
     "Ohjelmaopas",
     "EPG",
     "Guía de Programación",
-    "Ïäçãüò ðñïãñÜììáôïò",
+    "Çëåêôñïíéêüò ïäçãüò ðñïãñÜììáôïò",
     "EPG",
     "EPG",
     "EPG",
@@ -2558,7 +2558,7 @@
     "Toisto",
     "Odtwarzanie",
     "Opciones de Reproducción",
-    "ÁíáìåôÜäïóç",
+    "ÁíáðáñáãùãÞ",
     "Uppspelning",
     "Redare",
     "Lejátszás",
@@ -2600,7 +2600,7 @@
     "Laajennokset",
     "Plugins",
     "Plugins",
-    "Âßóìáôá",
+    "ÅðåêôÜóåéò",
     "Moduler",
     "Plugin-uri",
     "Plugins",
@@ -2621,7 +2621,7 @@
     "Laajennos",
     "Plugin",
     "Plugin",
-    "Âßóìá",
+    "ÅðÝêôáóç",
     "Modul",
     "Plugin (modul adiþional)",
     "Plugin",
@@ -2968,6 +2968,27 @@
     "Kanaliteate näitamine",
     "Info ved kanalskift",
   },
+  { "Setup.OSD$Timeout requested channel info",
+    "Angeforderte Kanalinfo schließen",
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+    "", // TODO
+  },
   { "Setup.OSD$Scroll pages",
     "Seitenweise scrollen",
     "Drsni meni",
@@ -2979,7 +3000,7 @@
     "Valikoiden vieritys sivuttain",
     "Przesuwac stronami",
     "Desplazar página entera",
-    "Êßëéóç óåëßäáò",
+    "Êýëéóç óåëßäáò",
     "Bläddra sidor",
     "Deruleazã pagini",
     "Oldalanként léptetmi",
@@ -3000,7 +3021,7 @@
     "Valikoiden vieritys ympäri",
     "",// TODO
     "",// TODO
-    "Êßëéóç ãýñù-ãýñù",
+    "Êýëéóç ãýñù-ãýñù",
     "Rulla texten",
     "Derulare circularã",
     "",// TODO
@@ -3021,7 +3042,7 @@
     "Järjestä ajastimet",
     "Sortowanie timerow",
     "Ordenar timers",
-    "ÏñãÜíùóç ðñïãñáìáôéóìÝíùí",
+    "ÏñãÜíùóç ÷ñïíïðñïãñáììáôéóìþí",
     "Sortera timers",
     "Sortare timer-e",
     "A beprogramozott felvételek elrendezése",
@@ -3063,7 +3084,7 @@
     "Ohjelmaoppaan taustapäivitys (h)",
     "Czas do skanu EPG (h)",
     "Tiempo hasta exploración EPG (h)",
-    "×ñüíïò ìÝ÷ñé åîÝôáóç EPG óå þñåò",
+    "×ñüíïò äéÜñêåéáò åîÝôáóçò EPG óå þñåò",
     "EPG sökning timeout",
     "Interval achiziþie EPG (h)",
     "Fennmaradt idö az EPG-g (h)",
@@ -3084,7 +3105,7 @@
     "Ohjelmaoppaan korjaustaso",
     "Poziom bledow EPG",
     "Nivel para arreglar EPG",
-    "Âáèìüò äéüñèïóçò ïäçãïý EPG",
+    "Âáèìüò äéüñèùóçò ïäçãïý EPG",
     "Nivå för EPG bugfix",
     "Nivel corecþie EPG",
     "EPG hibaelhárítás",
@@ -3105,7 +3126,7 @@
     "Vanha tieto näkyy (min)",
     "",// TODO
     "",// TODO
-    "¸íäåéêóç îåðåñáóìÝíïí ðëçñïöïñéþí (ëåðôÜ)",
+    "¸íäåéîç îåðåñáóìÝíùí ðëçñïöïñéþí (ëåðôÜ)",
     "Visa gammal information (min)",
     "Date EPG expirate cel mult (min)",
     "",// TODO
@@ -3168,7 +3189,7 @@
     "Suosikkikielet",
     "",// TODO
     "",// TODO
-    "Ðñïôéíüìåíåò ãëþóåò",
+    "Ðñïôåéíüìåíåò ãëþóóåò",
     "Önskade språk",
     "Limbi preferate",
     "",// TODO
@@ -3189,7 +3210,7 @@
     "Suosikkikieli",
     "",// TODO
     "",// TODO
-    "Ðñïôéíüìåíç ãëþóá",
+    "Ðñïôåéíüìåíç ãëþóóá",
     "Önskat språk",
     "Limba preferatã",
     "",// TODO
@@ -3231,7 +3252,7 @@
     "Näyttömuoto",
     "",//TODO
     "",//TODO
-    "ÌïñöÞ Ýíäåéêóçò Âßíôåï",
+    "ÌïñöÞ áðåéêüíéóçò Âßíôåï",
     "Format för video display",
     "Formatul redãrii video",
     "",//TODO
@@ -3336,7 +3357,7 @@
     "Käytä Dolby Digital -ääntä",
     "",//TODO
     "",//TODO
-    "×ñçóéìïðïßçóç Þ÷ïõ Dolby Digital",
+    "×ñÞóç Þ÷ïõ Dolby Digital",
     "Använd Dolby Digital",
     "Sunet Dolby Digital",
     "",//TODO
@@ -3357,7 +3378,7 @@
     "Päivitä kanavat",
     "",// TODO
     "",// TODO
-    "áíáíÝïóç êáíáëéþí",
+    "ÅíçìÝñùóç êáíáëéþí",
     "Uppdatera kanaler",
     "Actualizare canale",
     "",// TODO
@@ -3378,7 +3399,7 @@
     "vain nimet",
     "",// TODO
     "",// TODO
-    "ìüíï üíïìá",
+    "ìüíï ïíüìáôá",
     "bara namn",
     "doar numele",
     "",// TODO
@@ -3399,7 +3420,7 @@
     "nimet ja PID:it",
     "",// TODO
     "",// TODO
-    "üíïìá êáß PID",
+    "Ïíüìáôá êáß PIDs",
     "namn och PID",
     "nume si PID-uri",
     "",// TODO
@@ -3420,7 +3441,7 @@
     "uudet kanavat",
     "",// TODO
     "",// TODO
-    "ðñïóèÞêç íÝïí êáíáëéþí",
+    "ðñïóèÞêç íÝùí êáíáëéþí",
     "lägg till nya kanaler",
     "adãugare canale noi",
     "",// TODO
@@ -3441,7 +3462,7 @@
     "uudet transponderit",
     "",// TODO
     "",// TODO
-    "ðñïóèÞêç íÝïí transponder",
+    "ðñïóèÞêç íÝïõ áíáìåôáäüôç",
     "lägg till nya transponders",
     "adãugare transpondere noi",
     "",// TODO
@@ -3462,7 +3483,7 @@
     "Äänen kielet",
     "",//TODO
     "",//TODO
-    "Ãëþóåò Þ÷ïõ",
+    "Ãëþóóåò Þ÷ïõ",
     "Antal ljudspråk",
     "Limbi sunet",
     "",//TODO
@@ -3483,7 +3504,7 @@
     "Äänen kieli",
     "",//TODO
     "",//TODO
-    "Ãëþóá Þ÷ïõ",
+    "Ãëþóóá Þ÷ïõ",
     "Ljudspråk",
     "Limba sunetului",
     "",//TODO
@@ -3609,7 +3630,7 @@
     "Aloitusmarginaali (min)",
     "Poczatkowy czas buforowy (min)",
     "Comenzar grabación antes (min)",
-    "Ðñüóèåôïò ÷ñüíïò ðñßí áñ÷Þ (ëåðôÜ)",
+    "Ðñüóèåôïò ÷ñüíïò óôçí áñ÷Þ (ëåðôÜ)",
     "Marginal för start (min)",
     "Marjã la pornire (min)",
     "Idöeltolódás a kezdésnél (min)",
@@ -3672,7 +3693,7 @@
     "Tallenteen oletusprioriteetti",
     "Priorytet pierwotny",
     "Prioridad predefinida",
-    "Ðñïôåñáéüôçôá",
+    "ÐñïêáèïñéóìÝíç ðñïôåñáéüôçôá",
     "Normal prioritet",
     "Prioritate implicitã",
     "Default priority",
@@ -3798,7 +3819,7 @@
     "VPS-toiminnon aloitusmarginaali (s)",
     "",// TODO
     "",// TODO
-    "Ðåñéèüñéï VPS (ä)",
+    "Ðåñéèþñéï VPS (ä)",
     "VPS marginal (s)",
     "Marjã de timp la utilizare VPS (s)",
     "",// TODO
@@ -4104,26 +4125,48 @@
     "ManTirOnsTorFreLørSøn",
   },
   // The allowed characters in strings:
-  { " abcdefghijklmnopqrstuvwxyz0123456789-.#~",
-    " aäbcdefghijklmnoöpqrstuüvwxyz0123456789-.#~",
-    " abcèdefghijklmnopqrs¹tuvwxyz¾0123456789-.#~",
-    " aàbcdeéèfghiîjklmnopqrstuùvwxyz0123456789-.#~",
-    " abcdefghijklmnopqrstuvwxyz0123456789-.#~áäàïóöòúüù",
-    "",// TODO
-    " aàbcçdeéèêfghiîjklmnoôpqrstuùûvwxyz0123456789-.#~",
-    "",// TODO
-    " abcdefghijklmnopqrstuvwxyzåäö0123456789-.#~",
-    " abcdefghijklmnopqrstuvwxyz0123456789-.#~",
-    " aábcdeéfghiíjklmnñoópqrstuúvwxyz0123456789-.#~",
-    " áÜâãäåÝæçÞèéßêëìíîïüðñóòôõýö÷øùþ0123456789-.#~abcdefghijklmnopqrstuvwxyz",
-    " abcdefghijklmnopqrstuvwxyzåäö0123456789-.#~",
-    " aãâbcdefghiîjklmnopqrsºtþuvwxyz0123456789-.#~",
-    " aábcdeéfghiíjklmnoóöpqrstuúüvwxyz0123456789-.,#~",
-    " aàbcçdeéèfghiíjklmnoòpqrstuúvwxyz0123456789-.,#~_·",
-    " abcdefghijklmnopqrstuvwxyzÐÑÒÓÔÕñÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìîï0123456789-.#~",
-    " abcèædðefghijklmnopqrs¹tuvwxyz¾0123456789-.#~", // hrv
-    " abcdefghijklmnopqrsðzþtuvwõäöüxyå0123456789-.#~",
-    " abcdefghijklmnopqrstuvwxyzæøå0123456789-.#~",
+  { " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
+    " aäbcdefghijklmnoöpqrstuüvwxyz0123456789-.#~,/_@",
+    " abcèdefghijklmnopqrs¹tuvwxyz¾0123456789-.#~,/_@",
+    " aàbcdeéèfghiîjklmnopqrstuùvwxyz0123456789-.#~,/_@",
+    " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@áäàïóöòúüù",
+    "",// TODO
+    " aàbcçdeéèêfghiîjklmnoôpqrstuùûvwxyz0123456789-.#~,/_@",
+    "",// TODO
+    " abcdefghijklmnopqrstuvwxyzåäö0123456789-.#~,/_@",
+    " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
+    " aábcdeéfghiíjklmnñoópqrstuúvwxyz0123456789-.#~,/_@",
+    " áÜâãäåÝæçÞèéßêëìíîïüðñóòôõýö÷øùþ0123456789-.#~,/_@abcdefghijklmnopqrstuvwxyz",
+    " abcdefghijklmnopqrstuvwxyzåäö0123456789-.#~,/_@",
+    " aãâbcdefghiîjklmnopqrsºtþuvwxyz0123456789-.#~,/_@",
+    " aábcdeéfghiíjklmnoóöpqrstuúüvwxyz0123456789-.,#~,/_@",
+    " aàbcçdeéèfghiíjklmnoòpqrstuúvwxyz0123456789-.,#~,/_@·",
+    " abcdefghijklmnopqrstuvwxyzÐÑÒÓÔÕñÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìîï0123456789-.#~,/_@",
+    " abcèædðefghijklmnopqrs¹tuvwxyz¾0123456789-.#~,/_@", // hrv
+    " abcdefghijklmnopqrsðzþtuvwõäöüxyå0123456789-.#~,/_@",
+    " abcdefghijklmnopqrstuvwxyzæøå0123456789-.#~,/_@",
+  },
+  // The character maps for entering letters via the numeric keys:
+  { " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
+    " 0\t-.#~,/_@1\tabcä2\tdef3\tghi4\tjkl5\tmnoö6\tpqrs7\ttuvü8\twxyz9",
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
   },
   // Learning keys:
   { "Learning Remote Control Keys",
@@ -4221,7 +4264,7 @@
     "Älä paina kaukosäätimen näppäimiä...",
     "Nie naciskac klawiszy...",
     "No pulse ninguna tecla...",
-    "ÌÞí ðéÝæåéò ðëÞêôñá...",
+    "ÌÞí ðáôÜò ðëÞêôñá...",
     "Tryck inte på någon knapp...",
     "Nu apãsaþi nici o tastã...",
     "Ne nyomjon meg gombot...",
@@ -4368,7 +4411,7 @@
     "näppäimen puuttuessa paina 'Valikko'",
     "(Nacisnac 'Menu' by ominac klawisz)",
     "Pulse 'Menu' para saltarse esta tecla",
-    "ÐÜôá 'ìåíïý' ãéá ðñïóðÝñáóç áõôïý ôïý ðëÞêôñïõ",
+    "Ðßåóå 'ìåíïý' ãéá ðñïóðÝñáóç áõôïý ôïý ðëÞêôñïõ",
     "(Tryck 'Meny' för att hoppa över knappen.)",
     "Apãsaþi 'Meniu' pentru a sãri peste aceastã tastã",
     "A Menü gombot nyomni ennek a gombnak a kihagyásához",
@@ -4389,7 +4432,7 @@
     "Vaihe 3: Näppäinkoodien tallentaminen",
     "Faza 3: Zapamietac Kod",
     "Fase 3: Guardar códigos de teclas",
-    "Öáóç 3: Áðïèßêåõóç êùäéêþí",
+    "Öáóç 3: ÁðïèÞêåõóç êùäéêþí",
     "Fas 3: Spara knappkoder",
     "Faza 3: Salvarea codurilor de taste",
     "Harmadik lépés: kód mentése",
@@ -4410,7 +4453,7 @@
     "Paina 'Ylös' tallentaaksesi ja 'Alas' peruuttaaksesi",
     "'Gora' zapamietuje, 'Dol' przerywa",
     "Pulse 'Arriba' para guardar, 'Abajo' para anular",
-    "'ÐÜíù' áðïèßêåõóç, 'ÊÜôù' áêýñùóç",
+    "Ðßåóå 'ÐÜíù' ãéá áðïèÞêåõóç, 'ÊÜôù' ãéá áêýñùóç",
     "Tryck 'Upp' för att spara eller 'Ner' för att avsluta.",
     "Apãsaþi 'Sus' pentru salvare, 'Jos' pentru anulare",
     "'Fel' mentés, 'Le´ mégse",
@@ -4421,7 +4464,7 @@
     "Tryk 'Op' for at gemme, 'Ned' for at annullere",
   },
   // Key names:
-  { "Up",
+  { "Key$Up",
     "Auf",
     "Gor",
     "Su",
@@ -4442,7 +4485,7 @@
     "Üles",
     "Op",
   },
-  { "Down",
+  { "Key$Down",
     "Ab",
     "Dol",
     "Giù",
@@ -4463,7 +4506,7 @@
     "Alla",
     "Ned",
   },
-  { "Menu",
+  { "Key$Menu",
     "Menü",
     "Meni",
     "Menù",
@@ -4484,7 +4527,7 @@
     "Menüü",
     "Menu",
   },
-  { "Ok",
+  { "Key$Ok",
     "Ok",
     "Ok",
     "Ok",
@@ -4505,7 +4548,7 @@
     "Ok",
     "Ok",
   },
-  { "Back",
+  { "Key$Back",
     "Zurück",
     "Nazaj",
     "Indietro",
@@ -4526,7 +4569,7 @@
     "Tagasi",
     "Tilbage",
   },
-  { "Left",
+  { "Key$Left",
     "Links",
     "Levo",
     "Sinistra",
@@ -4547,7 +4590,7 @@
     "Vasakule",
     "Venstre",
   },
-  { "Right",
+  { "Key$Right",
     "Rechts",
     "Desno",
     "Destra",
@@ -4568,7 +4611,7 @@
     "Paremale",
     "Højre",
   },
-  { "Red",
+  { "Key$Red",
     "Rot",
     "Rdeèa",
     "Rosso",
@@ -4589,7 +4632,7 @@
     "Punane",
     "Rød",
   },
-  { "Green",
+  { "Key$Green",
     "Grün",
     "Zelena",
     "Verde",
@@ -4610,7 +4653,7 @@
     "Roheline",
     "Grøn",
   },
-  { "Yellow",
+  { "Key$Yellow",
     "Gelb",
     "Rumena",
     "Giallo",
@@ -4631,7 +4674,7 @@
     "Kollane",
     "Gul",
   },
-  { "Blue",
+  { "Key$Blue",
     "Blau",
     "Modra",
     "Blu",
@@ -4652,7 +4695,28 @@
     "Sinine",
     "Blå",
   },
-  { "Play",
+  { "Key$Info",
+    "Info",
+    "Info",
+    "",//TODO
+    "Info",
+    "",//TODO
+    "Info",
+    "",//TODO
+    "Tiedot",
+    "",//TODO
+    "",//TODO
+    "Ðëçñïöïñßåò",
+    "Info",
+    "Info",
+    "",//TODO
+    "",//TODO
+    "¸ÝäÞ",
+    "Info",
+    "Info",
+    "Info",
+  },
+  { "Key$Play",
     "Wiedergabe",
     "Predvajaj",
     "Riproduci",
@@ -4663,7 +4727,7 @@
     "Toista",
     "Odtworzenie",
     "Reproducir",
-    "AíáìåôÜäïóç",
+    "ÁíáðáñáãùãÞ",
     "Spela upp",
     "Redare",
     "Lejátszás",
@@ -4673,7 +4737,7 @@
     "Start",
     "Afspil",
   },
-  { "Pause",
+  { "Key$Pause",
     "Pause",
     "Pavza",
     "Pausa",
@@ -4684,7 +4748,7 @@
     "Tauko",
     "Przerwa",
     "Pausa",
-    "ÄéÜëåéììá",
+    "Ðáýóç",
     "Pausa",
     "Pauzã",
     "Szünet",
@@ -4694,7 +4758,7 @@
     "Paus",
     "Pause",
   },
-  { "Stop",
+  { "Key$Stop",
     "Stop",
     "Ustavi",
     "Stop",
@@ -4715,7 +4779,7 @@
     "Stopp",
     "Stop",
   },
-  { "Record",
+  { "Key$Record",
     "Aufnehmen",
     "Snemaj",
     "Registra",
@@ -4736,7 +4800,7 @@
     "Salvestamine",
     "Optag",
   },
-  { "FastFwd",
+  { "Key$FastFwd",
     "Vorlauf",
     "Hitro naprej",
     "Avanti Veloce",
@@ -4747,7 +4811,7 @@
     "Pikakelaus >>",
     "Naprzod",
     "Adelante rápido",
-    "Ðñïüèéóç åìðñüò",
+    "Ðñïþèçóç åìðñüò",
     "Snabbspolning framåt",
     "Derulare înainte",
     "Elöre pörgetni",
@@ -4757,7 +4821,7 @@
     "Edasikerimine",
     "Spol fremad",
   },
-  { "FastRew",
+  { "Key$FastRew",
     "Rücklauf",
     "Hitro nazaj",
     "Indietro Veloce",
@@ -4768,7 +4832,7 @@
     "Pikakelaus <<",
     "Wstecz",
     "Atrás rápido",
-    "Ðñïüèéóç ðßóù",
+    "Ðñïþèçóç ðßóù",
     "Snabbspolning bakåt",
     "Derulare înapoi",
     "Vissza pörgetni",
@@ -4778,7 +4842,7 @@
     "Tagasikerimine",
     "Spol tilbage",
   },
-  { "Power",
+  { "Key$Power",
     "Ausschalten",
     "Izklop",
     "Power",
@@ -4799,7 +4863,7 @@
     "Toide",
     "Sluk",
   },
-  { "Channel+",
+  { "Key$Channel+",
     "Kanal+",
     "Program+",
     "Canale +",
@@ -4820,7 +4884,7 @@
     "Kanal+",
     "Kanal+",
   },
-  { "Channel-",
+  { "Key$Channel-",
     "Kanal-",
     "Program-",
     "Canale -",
@@ -4831,7 +4895,7 @@
     "Kanava -",
     "Kanal-",
     "Canal -",
-    "ÊáíÜëç-",
+    "ÊáíÜëé-",
     "Kanal-",
     "Canal-",
     "Csatorna-",
@@ -4841,7 +4905,7 @@
     "Kanal-",
     "Kanal-",
   },
-  { "Volume+",
+  { "Key$Volume+",
     "Lautstärke+",
     "Glasnost+",
     "Volume +",
@@ -4862,7 +4926,7 @@
     "Helitugevus+",
     "Lydstyrke+",
   },
-  { "Volume-",
+  { "Key$Volume-",
     "Lautstärke-",
     "Glasnost-",
     "Volume -",
@@ -4883,7 +4947,7 @@
     "Helitugevus-",
     "Lydstyrke-",
   },
-  { "Mute",
+  { "Key$Mute",
     "Stumm",
     "Izklop zvoka",
     "Mute",
@@ -4904,7 +4968,7 @@
     "Hääletu",
     "Sluk lyd",
   },
-  { "Audio",
+  { "Key$Audio",
     "Audio",
     "Zvok",
     "",// TODO
@@ -5105,7 +5169,7 @@
     "vapaana",
     "pozostalo",
     "libre",
-    "Êåíü",
+    "Åëåýèåñïò",
     "ledigt",
     "liber",
     "szabad",
@@ -5168,7 +5232,7 @@
     " Lopeta toisto",
     " Zatrzymac odtwarzanie",
     " Parar reprodución",
-    " ÔÝëïò áíáìåôÜäïóçò",
+    " ÔÝëïò áíáðáñáãùãÞò",
     " Avsluta uppspelning",
     " Opreºte redarea",
     " Lejátszást befejzni",
@@ -5273,7 +5337,7 @@
     "Muokkaus aloitettu",
     "Uruchomiony proces montazu",
     "Proceso modificación iniciado",
-    "Áñ÷Þ åðåîåñãáóßáò",
+    "Áñ÷éóå ç åðåîåñãáóßá",
     "Redigeringen startar",
     "Montajul înregistrãrii a început",
     "Vágás elindítva",
@@ -5325,26 +5389,26 @@
     "Redigeerimine ebaõnnestus",
     "Redigeringsproces fejlede!",
   },
-  { "scanning recordings...",
-    "Aufzeichnungen werden durchsucht...",
-    "iskanje posnetkov...",
-    "scansione registrazioni...",
-    "Doorzoeken opnames...",
-    "A pesquisar gravações...",
-    "Recherche des enregistrements...",
-    "Går igjennom opptakene...",
-    "haetaan tallenteita...",
-    "Skan nagran...",
-    "buscando grabaciones...",
-    "ÅîÝôáóç åããñáöþí...",
-    "Söker igenom inspelningarna...",
-    "Caut înregistrãri...",
-    "Felvett adások böngészése...",
-    "cercant gravacions...",
-    "ÁÚÐÝØàÞÒÐÝØÕ ×ÐßØáÕÙ...",
-    "pretra¾ivanje snimljenog...",
-    "salvestuste skaneerimine...",
-    "skanner optagelser...",
+  { "Recording started",
+    "Aufzeichnung gestartet",
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
+    "",//TODO
   },
   { "Pausing live video...",
     "Live-Signal wird angehalten...",
@@ -5357,7 +5421,7 @@
     "Pysäytetään lähetys...",
     "Zatrzymany program biezacy...",
     "Emisión en directo parada...",
-    "ÄéÜëåéììá æùíôáíïý óÞìáôïò",
+    "ÐÜãùìá æùíôáíïý óÞìáôïò",
     "Pausar direktinspelningen",
     "Trec în pauzã emisiunea transmisã...",
     "Az élö adás megállítva...",
@@ -5399,7 +5463,7 @@
     "Tällä laajennoksella ei ole asetuksia!",
     "Ten plugin niema parametrow!",
     "Este plugin no admite configuración",
-    "Áõôü ôï âßóìá äåí Ý÷åé ðáñÜìåôñïõò",
+    "ÁõôÞ ç åðÝêôáóç äåí Ý÷åé ðáñÜìåôñïõò!",
     "Den här modulen har inga parametrar",
     "Acest plugin nu se configureazã!",
     "Ennek a plugin-nak nincs setup-parametere!",
@@ -5462,7 +5526,7 @@
     "Ei esitystä",
     "",// TODO
     "",// TODO
-    "Ï÷é ôßôëï",
+    "×ùñßò Ôßôëï",
     "ingen titel",
     "Fãrã titlu",
     "",// TODO
diff -ruN vdr-1.3.37/interface.c vdr-1.3.38/interface.c
--- vdr-1.3.37/interface.c	2005-11-27 16:31:06.000000000 +0100
+++ vdr-1.3.38/interface.c	2006-01-04 16:44:19.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: interface.c 1.70 2005/11/27 15:31:06 kls Exp $
+ * $Id: interface.c 1.71 2006/01/04 15:44:19 kls Exp $
  */
 
 #include "interface.h"
@@ -84,7 +84,9 @@
      eKeys NewKey = kUp;
      while (NewKey != kNone) {
            char *Prompt;
-           asprintf(&Prompt, tr("Press key for '%s'"), tr(cKey::ToString(NewKey)));
+           char buf[32];
+           snprintf(buf, sizeof(buf), "Key$%s", cKey::ToString(NewKey));
+           asprintf(&Prompt, tr("Press key for '%s'"), tr(buf));
            DisplayMenu->SetItem(Prompt, 4, false, false);
            free(Prompt);
            cRemote::Clear();
diff -ruN vdr-1.3.37/keymacros.conf vdr-1.3.38/keymacros.conf
--- vdr-1.3.37/keymacros.conf	2002-12-01 11:46:47.000000000 +0100
+++ vdr-1.3.38/keymacros.conf	2006-01-05 16:41:00.000000000 +0100
@@ -9,4 +9,5 @@
 
 Red       Recordings
 Green     Schedule
+Yellow    Info
 Blue      Timers
diff -ruN vdr-1.3.37/keys.c vdr-1.3.38/keys.c
--- vdr-1.3.37/keys.c	2005-09-17 13:27:40.000000000 +0200
+++ vdr-1.3.38/keys.c	2006-01-05 16:39:26.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: keys.c 1.9 2005/09/17 11:27:40 kls Exp $
+ * $Id: keys.c 1.10 2006/01/05 15:39:26 kls Exp $
  */
 
 #include "keys.h"
@@ -32,6 +32,7 @@
                     { k7,             "7"          },
                     { k8,             "8"          },
                     { k9,             "9"          },
+                    { kInfo,          "Info"       },
                     { kPlay,          "Play"       },
                     { kPause,         "Pause"      },
                     { kStop,          "Stop"       },
